<?php
 
session_start();
include("DMMYSQLG.php");
?>
<html>
<link rel="stylesheet" href="ALM_CSS.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	include('AL10600_CL.php');
	$varible_clase = new clase();
	$varible_clase->n_reg=$_POST["bot"];
	$varible_clase->cod_var=strtoupper($_POST["cod_var"]);
	$varible_clase->np_desc1=strtoupper($_POST["tap2"]);
	$varible_clase->ubicacion=strtoupper($_POST["tap3"]);
	$varible_clase->codigo=$_POST["codigo"];
	$varible_clase->exi_max=$_POST["tap5"];
	$varible_clase->linea=$_POST["tap6"];
	$varible_clase->gpo_basico=$_POST["tap7"];
	$varible_clase->cve_marca=$_POST["tap8"];
	$varible_clase->lim_vta1=$_POST["precio"];
	$varible_clase->lim_vta2=$_POST["tap11"];
	$varible_clase->lim_vta3=$_POST["tap12"];
	$varible_clase->ven_esp1=$_POST["tap13"];
	$varible_clase->lim_1=$_POST["tl1"];
	$varible_clase->lim_2=$_POST["tl2"];
	$varible_clase->lim_3=$_POST["tl3"];
	$varible_clase->cve_uni_com=$_POST["tap14"];
	$varible_clase->capacidad=$_POST["capacidad"];
	$varible_clase->cve_uni_vta=$_POST["tap15"];
	$varible_clase->afe_inv=$_POST["afe_inv"];
	
	$varible_clase->cve_iva=$_POST["tap9"];
	$varible_clase->tip_mon=$_POST["tap18"];
	$varible_clase->es_inv=$_POST["es_inv"];
	$varible_clase->cos_prom=$_POST["cos_prom"];
	$varible_clase->fic_tec=mysqli_real_escape_string($con,trim($_POST["fic_tec"]));
	$varible_clase->fac_rend=$_POST["fac_rend"];
	$varible_clase->fact_max=$_POST["fact_max"];
	$varible_clase->fact_min=$_POST["fact_min"];
	$varible_clase->casillero=$_POST["casillero"];
	$varible_clase->dias_alm=$_POST["dias_alm"];
	$varible_clase->temperatura=$_POST["temperatura"];
	$varible_clase->proteinas=$_POST["proteinas"];
	$varible_clase->lipidos=$_POST["lipidos"];
	$varible_clase->carboidratos=$_POST["carboidratos"];
	$varible_clase->kcalorias=$_POST["kcalorias"];
	$varible_clase->calcio=$_POST["calcio"];
	$varible_clase->sodio=$_POST["sodio"];
	$varible_clase->potacio=$_POST["potacio"];
	$varible_clase->precio=$_POST["precio"];
	$varible_clase->afe_coman=$_POST["afe_coman"];
	$varible_clase->cve_iva_ven=$_POST["cve_iva_ven"];
	$varible_clase->des_cor=$_POST["des_cor"];
	$varible_clase->id_receta=$_POST["id_receta"];
	$varible_clase->pos_pun_ven=$_POST["pos_pun_ven"];
	$varible_clase->status=$_POST['status'];
	$res=$varible_clase->modifica($_POST["bot"]);
//respuesta de modificar
	if($res == "ok"){
		if(isset($_POST['ac'])){
			$fotografia = 'foto/fstocks/NO_'. $_POST["bot"].'.JPG';
	
			if (file_exists($fotografia)) {
				chmod($fotografia,0777);
				fileperms ($fotografia);
				unlink($fotografia);
			}
			if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
				if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/fstocks/NO_'. $varible_clase->n_reg. '.JPG')){
				}
			}
		}
		echo '<h2>!!! SE MODIFICO EL REGISTRO !!!</h2>';
		echo '<meta content="1; url=AL10600_PR.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO MODIFICAR EL REGISTRO</h2>';
		echo $res;
		echo '<meta content="1; url=AL10600_PR.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>

